<table
  mat-table
  *ngIf="jobs | async as datasource"
  [dataSource]="datasource"
  class="mat-elevation-z0"
  multiTemplateDataRows
>
  <ng-container matColumnDef="id">
    <th mat-header-cell *matHeaderCellDef>{{ 'job.id' | translate }}</th>
    <td mat-cell *matCellDef="let job">{{ job.id }}</td>
  </ng-container>

  <ng-container matColumnDef="projectId">
    <th mat-header-cell *matHeaderCellDef>{{ 'job.projectId' | translate }}</th>
    <td mat-cell *matCellDef="let job">{{ job.projectId }}</td>
  </ng-container>

  <ng-container matColumnDef="taskTyp">
    <th mat-header-cell *matHeaderCellDef>{{ 'job.taskType' | translate }}</th>
    <td mat-cell *matCellDef="let job">{{ job.taskType }}</td>
  </ng-container>

  <ng-container matColumnDef="requestTime">
    <th mat-header-cell *matHeaderCellDef>
      {{ 'job.times.request' | translate }}
    </th>
    <td mat-cell *matCellDef="let job">
      {{ job.times.request | date: 'short' }}
    </td>
  </ng-container>

  <ng-container matColumnDef="deprecated">
    <th mat-header-cell *matHeaderCellDef>
      {{ 'job.deprecated' | translate }}
    </th>
    <td mat-cell *matCellDef="let job">{{ job.deprecated }}</td>
  </ng-container>

  <ng-container matColumnDef="action">
    <th mat-header-cell *matHeaderCellDef>
      {{ 'adminusers.action' | translate }}
    </th>
    <td mat-cell *matCellDef="let job" (click)="$event.stopPropagation()">
      <i
        class="material-icons action-buttons"
        (click)="abortJob(job)"
        matTooltip="Abort"
        >highlight_off</i
      >
    </td>
  </ng-container>

  <ng-container matColumnDef="expandedDetail">
    <td
      mat-cell
      *matCellDef="let element"
      [attr.colspan]="columnsToDisplay.length"
    >
      <div
        class="example-element-detail"
        [ngClass]="{ 'element-expanded': element === expandedElement }"
        [@detailExpand]="element === expandedElement ? 'expanded' : 'collapsed'"
      >
        <div class="job-info">
          <div class="job-single-info">
            <span class="job-single-into-title"
              >{{ 'job.projectType' | translate }}:</span
            >
            {{ element.projectType }}
          </div>
          <div class="job-single-info">
            <span class="job-single-into-title"
              >{{ 'job.status.running' | translate }}:</span
            >
            {{ element.status.running }}
          </div>
          <div class="job-single-info">
            <span class="job-single-into-title"
              >{{ 'job.status.finished' | translate }}:</span
            >
            {{ element.status.finished }}
          </div>
          <div class="job-single-info">
            <span class="job-single-into-title"
              >{{ 'job.status.aborted' | translate }}:</span
            >
            {{ element.status.aborted }}
          </div>
          <div class="job-single-info" *ngIf="element.times.start">
            <span class="job-single-into-title"
              >{{ 'job.times.start' | translate }}:</span
            >
            {{ element.times.start }}
          </div>
          <div class="job-single-info" *ngIf="element.times.finish">
            <span class="job-single-into-title"
              >{{ 'job.times.finish' | translate }}:</span
            >
            {{ element.times.finish }}
          </div>
        </div>
      </div>
    </td>
  </ng-container>

  <tr mat-header-row *matHeaderRowDef="columnsToDisplay"></tr>
  <tr
    mat-row
    *matRowDef="let element; columns: columnsToDisplay"
    class="example-element-row"
    [style.backgroundColor]="element === expandedElement ? '#eeeeee' : ''"
    [class.example-expanded-row]="expandedElement === element"
    (click)="expandedElement = expandedElement === element ? null : element"
  ></tr>
  <tr
    mat-row
    *matRowDef="let row; columns: ['expandedDetail']"
    class="example-detail-row"
  ></tr>
</table>

<mat-card
  class="card mobileView"
  *ngFor="let job of jobs | async"
  (click)="itemClicked(job)"
>
  <div class="card-item">
    <span class="mobileViewHint">{{ 'job.id' | translate }}: </span>
    {{ job.id }}
  </div>
  <div class="card-item">
    <span class="mobileViewHint">{{ 'job.projectId' | translate }}: </span>
    {{ job.projectId }}
  </div>
  <div class="card-item">
    <span class="mobileViewHint">{{ 'job.tastType' | translate }}: </span>
    {{ job.taskType }}
  </div>
  <div class="card-item">
    <span class="mobileViewHint">{{ 'job.requestTime' | translate }}: </span>
    {{ job.times.request }}
  </div>

  <div class="card-items">
    <div class="action-mobileView">
      <span class="mobileViewHint"
        >{{ 'adminusers.action' | translate }}:
      </span>
      <div class="action-mobileView-buttons" (click)="$event.stopPropagation()">
        <i
          class="material-icons action-buttons"
          (click)="abortJob(job)"
          matTooltip="Abort"
          >highlight_off</i
        >
      </div>
    </div>
  </div>
</mat-card>
